import request from '@/utils/request'
const baseUrl = import.meta.env.VITE_APP_PRODUCTION_API

// 查询产品包装客户关联列表
export function listProductPackage(query) {
  return request({
    url: baseUrl + '/business/productPackage/list',
    method: 'get',
    params: query
  })
}

// 查询产品包装客户关联详细
export function getProductPackage(id) {
  return request({
    url: baseUrl + '/business/productPackage/' + id,
    method: 'get'
  })
}

// 新增产品包装客户关联
export function addProductPackage(data) {
  return request({
    url: baseUrl + '/business/productPackage',
    method: 'post',
    data: data
  })
}

// 修改产品包装客户关联
export function updateProductPackage(data) {
  return request({
    url: baseUrl + '/business/productPackage',
    method: 'put',
    data: data
  })
}

// 删除产品包装客户关联
export function delProductPackage(id) {
  return request({
    url: baseUrl + '/business/productPackage/' + id,
    method: 'delete'
  })
}
